Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.config
Class BindingConfigImpl

    java.lang.Object
      org.apache.xmlbeans.BindingConfig
          org.apache.xmlbeans.impl.config.BindingConfigImpl

    public class BindingConfigImpl

extends BindingConfig

An implementation of BindingConfig

Field Summary

Fields inherited from class org.apache.xmlbeans.BindingConfig
`QNAME_ACCESSOR_ATTRIBUTE, QNAME_ACCESSOR_ELEMENT, QNAME_DOCUMENT_TYPE, QNAME_TYPE`

Method Summary
`static BindingConfig` | `forConfigDocuments(org.apache.xmlbeans.impl.xb.xmlconfig.ConfigDocument.Config[] configs, java.io.File[] javaFiles, java.io.File[] classpath)`
`InterfaceExtension[]` | `getInterfaceExtensions()`
`InterfaceExtension[]` | `getInterfaceExtensions(java.lang.String fullJavaName)`
`PrePostExtension` | `getPrePostExtension(java.lang.String fullJavaName)`
`PrePostExtension[]` | `getPrePostExtensions()`
`java.lang.String` | `lookupJavanameForQName(javax.xml.namespace.QName qname)` Deprecated. replaced with `lookupJavanameForQName(QName, int)`
`java.lang.String` | `lookupJavanameForQName(javax.xml.namespace.QName qname, int kind)`
`java.lang.String` | `lookupPackageForNamespace(java.lang.String uri)`
`java.lang.String` | `lookupPrefixForNamespace(java.lang.String uri)`
`java.lang.String` | `lookupSuffixForNamespace(java.lang.String uri)`
`UserType` | `lookupUserTypeForQName(javax.xml.namespace.QName qname)`

Methods inherited from class org.apache.xmlbeans.BindingConfig
`getUserTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### forConfigDocuments

    public static BindingConfig forConfigDocuments(org.apache.xmlbeans.impl.xb.xmlconfig.ConfigDocument.Config[] configs,
                                                   java.io.File[] javaFiles,
                                                   java.io.File[] classpath)

### lookupPackageForNamespace

    public java.lang.String lookupPackageForNamespace(java.lang.String uri)

  Overrides:
    `lookupPackageForNamespace` in class `BindingConfig`
  Parameters:
    `uri` - the namespace uri
  Returns:
    the package name for a namespace or null.

### lookupPrefixForNamespace

    public java.lang.String lookupPrefixForNamespace(java.lang.String uri)

  Overrides:
    `lookupPrefixForNamespace` in class `BindingConfig`
  Parameters:
    `uri` - the namespace uri
  Returns:
    the prefix applied to each java name for a namespace or null.

### lookupSuffixForNamespace

    public java.lang.String lookupSuffixForNamespace(java.lang.String uri)

  Overrides:
    `lookupSuffixForNamespace` in class `BindingConfig`
  Parameters:
    `uri` - the namespace uri
  Returns:
    Get the suffix applied to each java name for a namespace or null.

### lookupJavanameForQName

    public java.lang.String lookupJavanameForQName(javax.xml.namespace.QName qname)

  Deprecated. replaced with `lookupJavanameForQName(QName, int)`

  Overrides:
    `lookupJavanameForQName` in class `BindingConfig`
  Parameters:
    `qname` - the qname of the java name
  Returns:
    the java name for a QName or null.

### lookupJavanameForQName

    public java.lang.String lookupJavanameForQName(javax.xml.namespace.QName qname,
                                                   int kind)

  Overrides:
    `lookupJavanameForQName` in class `BindingConfig`
  Parameters:
    `qname` - the qname of the java name
    `kind` - the type of the qname, which one of `BindingConfig.QNAME_TYPE`, `BindingConfig.QNAME_DOCUMENT_TYPE`, `BindingConfig.QNAME_ACCESSOR_ELEMENT`, `BindingConfig.QNAME_ACCESSOR_ATTRIBUTE`
  Returns:
    Get the java name for a QName of a specific component kind, or null.

### lookupUserTypeForQName

    public UserType lookupUserTypeForQName(javax.xml.namespace.QName qname)

  Overrides:
    `lookupUserTypeForQName` in class `BindingConfig`
  Parameters:
    `qname` - the qname of the user type
  Returns:
    a user defined Java type for a given QName.

### getInterfaceExtensions

    public InterfaceExtension[] getInterfaceExtensions()

  Overrides:
    `getInterfaceExtensions` in class `BindingConfig`
  Returns:
    all configured InterfaceExtensions or an empty array.

### getInterfaceExtensions

    public InterfaceExtension[] getInterfaceExtensions(java.lang.String fullJavaName)

  Overrides:
    `getInterfaceExtensions` in class `BindingConfig`
  Parameters:
    `fullJavaName` - the fully qualified java type name
  Returns:
    all InterfaceExtensions defined for the fully qualified java type generated from schema compilation or an empty array.

### getPrePostExtensions

    public PrePostExtension[] getPrePostExtensions()

  Overrides:
    `getPrePostExtensions` in class `BindingConfig`
  Returns:
    all configued PrePostExtensions or an empty array.

### getPrePostExtension

    public PrePostExtension getPrePostExtension(java.lang.String fullJavaName)

  Overrides:
    `getPrePostExtension` in class `BindingConfig`
  Parameters:
    `fullJavaName` - the fully qualified java type name
  Returns:
    the PrePostExtension defined for the fully qualified java type generated from schema compilation or null.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD